<?php if (isset($component)) { $__componentOriginal91fdd17964e43374ae18c674f95cdaa3 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal91fdd17964e43374ae18c674f95cdaa3 = $attributes; } ?>
<?php $component = App\View\Components\AdminLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('admin-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AdminLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('header', null, []); ?> 
        <h1 class="text-2xl font-bold">Edit Role</h1>
     <?php $__env->endSlot(); ?>

    <div class="flex justify-center">
        <div class="bg-white dark:bg-gray-800 p-6 rounded-lg shadow-lg w-full max-w-3xl">
            <form action="<?php echo e(route('admin.roles.update', $role)); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <?php echo method_field('PUT'); ?>

                <!-- Role Name -->
                <div class="mb-4">
                    <label for="name" class="block text-sm font-medium text-gray-700">Role Name</label>
                    <input type="text" name="name" id="name" value="<?php echo e(old('name', $role->name)); ?>"
                        class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm
                        focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm" required>
                    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <p class="text-red-500 text-sm mt-2"><?php echo e($message); ?></p>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>

                <!-- Permissions Section -->
                <h3 class="text-lg font-semibold mb-2">Permissions</h3>

                <div class="grid grid-cols-2 gap-4">
                    <?php $__currentLoopData = $modules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $module => $permissions): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $allChecked = $permissions->every(fn($perm) => $role->hasPermissionTo($perm));
                        ?>
                        <div class="bg-gray-100 dark:bg-gray-700 p-4 rounded-lg shadow-md">

                            <!-- Module Checkbox -->
                            <div class="flex items-center mb-3">
                                <input type="checkbox" id="module-<?php echo e($module); ?>" class="module-checkbox"
                                    <?php echo e($allChecked ? 'checked' : ''); ?>

                                    onclick="toggleModule('<?php echo e($module); ?>')">
                                <label for="module-<?php echo e($module); ?>" class="font-bold ml-2 text-lg"><?php echo e(ucfirst($module)); ?></label>
                            </div>

                            <!-- Permissions List -->
                            <div class="space-y-1">
                                <?php $__currentLoopData = $permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="flex items-center p-1">
                                        <input type="checkbox" name="permissions[]" value="<?php echo e($permission->id); ?>"
                                            class="<?php echo e($module); ?>-permission"
                                            <?php echo e($role->hasPermissionTo($permission) ? 'checked' : ''); ?>

                                            onclick="checkModule('<?php echo e($module); ?>')">
                                        <label class="ml-2 text-sm"><?php echo e($permission->name); ?></label>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>

                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>

                <div class="flex items-center justify-end mt-6">
                    <button type="submit" class="bg-blue-500 text-white px-4 py-2 rounded-md">Update Role</button>
                </div>
            </form>
        </div>
    </div>

    <script>
        function toggleModule(module) {
            let moduleCheckbox = document.getElementById('module-' + module);
            let permissionCheckboxes = document.querySelectorAll('.' + module + '-permission');

            permissionCheckboxes.forEach(checkbox => {
                checkbox.checked = moduleCheckbox.checked;
            });
        }

        function checkModule(module) {
            let moduleCheckbox = document.getElementById('module-' + module);
            let permissionCheckboxes = document.querySelectorAll('.' + module + '-permission');
            let allChecked = Array.from(permissionCheckboxes).every(cb => cb.checked);

            moduleCheckbox.checked = allChecked;
        }
    </script>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal91fdd17964e43374ae18c674f95cdaa3)): ?>
<?php $attributes = $__attributesOriginal91fdd17964e43374ae18c674f95cdaa3; ?>
<?php unset($__attributesOriginal91fdd17964e43374ae18c674f95cdaa3); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal91fdd17964e43374ae18c674f95cdaa3)): ?>
<?php $component = $__componentOriginal91fdd17964e43374ae18c674f95cdaa3; ?>
<?php unset($__componentOriginal91fdd17964e43374ae18c674f95cdaa3); ?>
<?php endif; ?>
<?php /**PATH C:\xampp8.2\htdocs\Portal\resources\views/admin/roles/edit.blade.php ENDPATH**/ ?>